//package com.winhc.returnmoney.aspect;
//
//import com.module.login.usersession.UserBean;
//import com.winhc.common.base.ApiDataResult;
//import com.winhc.common.base.BeanResponse;
//import com.winhc.common.enums.CodeMsg;
//import com.winhc.common.util.ResultUtil;
//import com.winhc.returnmoney.entity.UserExt;
//import com.winhc.returnmoney.repository.UserExtMapper;
//import com.winhc.returnmoney.repository.UserInfoMapper;
//import com.winhc.returnmoney.util.RequesterUtil;
//import lombok.extern.slf4j.Slf4j;
//import org.aspectj.lang.ProceedingJoinPoint;
//import org.aspectj.lang.Signature;
//import org.aspectj.lang.annotation.Around;
//import org.aspectj.lang.annotation.Aspect;
//import org.aspectj.lang.reflect.MethodSignature;
//import org.springframework.stereotype.Component;
//
//import javax.annotation.Resource;
//
///**
// * @description: 认证切面
// * @author: anakin
// * @date 2020.10.12 15:10
// */
//@Slf4j
//@Aspect
//@Component
//public class AuthorityAspect {
//    @Resource
//    private UserInfoMapper userInfoMapper;
//    @Resource
//    private UserExtMapper userExtMapper;
//
//    @Around("@annotation(authority)")
//    public Object around(ProceedingJoinPoint joinPoint, Authority authority) throws Throwable {
//        Signature signature = joinPoint.getSignature();
//        MethodSignature methodSignature = (MethodSignature) signature;
//        boolean success = false;
//        if ("app".equals(authority.type())) {
//            switch (authority.value()) {
//                case 无:
//                    success = true;
//                    break;
//                case 登录用户:
//                    success = RequesterUtil.getUser() != null;
//                    break;
//                case 登录且存在的用户:
//                    UserBean userBean = RequesterUtil.getUser();
//                    if (userBean != null && userBean.getUserId() != null
//                            && userInfoMapper.selectById(userBean.getUserId()) != null) {
//                        success = true;
//                    } else {
//                        success = false;
//                    }
//                    break;
//                case VIP用户:
//                    UserBean userBeanVIP = RequesterUtil.getUser();
//                    if (userBeanVIP != null && userBeanVIP.getUserId() != null) {
//                        UserExt userExt = userExtMapper.selectById(userBeanVIP.getUserId());
//                        if (userExt != null && "0".equals(userExt.getVipSign())) {
//                            success = true;
//                        } else {
//                            success = false;
//                        }
//                    } else {
//                        success = false;
//                    }
//                    break;
//                default:
//                    success = true;
//                    break;
//            }
//        } else if ("mis".equals(authority.type())){
//            // 暂不支持mis用户认证
//        }
//        if (success) {
//            return joinPoint.proceed();
//        }
//        return response(CodeMsg.FORBIDDEN, methodSignature.getReturnType());
//    }
//
//    // 封装返回数据
//    private Object response(CodeMsg codeMsg, Class type) {
//        if (BeanResponse.class.equals(type)) {
//            if (!"200".equals(codeMsg.getCode())) {
//                return BeanResponse.error(codeMsg);
//            }
//            return BeanResponse.success(CodeMsg.SUCCESS);
//        } else if (ApiDataResult.class.equals(type)) {
//            return ResultUtil.response(codeMsg, null);
//        } else {
//            return ResultUtil.response(codeMsg);
//        }
//    }
//}
