package com.winhc.returnmoney.cloud;

import com.winhc.common.base.ApiDataResult;
import com.winhc.common.base.ApiResult;
import com.winhc.returnmoney.cloud.bean.CreditorsRightMonitorAddDTO;
import com.winhc.returnmoney.cloud.bean.CreditorsRightMonitorCRMVO;
import com.winhc.returnmoney.cloud.bean.CreditorsRightMonitorCancelDTO;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;

/**
 * @Description: CrmService
 * @Author: xda
 * @Date: 2021/9/17 18:01
 */
@FeignClient("crm-service")
public interface CrmService {

    /**
     * 增加债权监测（多监测公司批量）
     *
     * @param dto dto
     * @return com.winhc.common.base.ApiDataResult<java.util.List < CreditorsRightMonitorCRMVO>>
     * @author xda
     * @date 2021/9/17 18:09
     */
    @PostMapping("/app/noAuth/creditors")
    ApiDataResult<List<CreditorsRightMonitorCRMVO>> addCreditorsRightMonitor(@RequestBody CreditorsRightMonitorAddDTO dto);


    /**
     * 删除 债权监测
     *
     * @param dto dto
     * @return com.winhc.common.base.ApiResult
     * @author xda
     * @date 2021/9/18 14:05
     */
    @DeleteMapping("/app/noAuth/creditors")
    ApiResult cancelCreditors(@RequestBody CreditorsRightMonitorCancelDTO dto);
}
