package com.winhc.returnmoney.cloud;

import com.winhc.common.base.ApiDataResult;
import com.winhc.common.model.base.VOPage;
import com.winhc.returnmoney.cloud.bean.*;
import com.winhc.returnmoney.cloud.bean.CreditPunishmentLabelListVO;
import io.swagger.annotations.ApiOperation;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * @Description: 数据中间件服务
 * @Author: xda
 * @Date: 2020/7/18 10:50
 */
@FeignClient("winhc-data-middleware")
//@FeignClient(value = "winhc-data-middleware", url = "http://47.101.212.122:10001/")
public interface DataMiddlewareService {


//    /**
//     * 获取企业信息
//     * @param keyWord keyWord
//     * @return com.winhc.common.base.ApiDataResult<Company>
//     * @Author: xda
//     * @Date: 2020/12/15 16:51
//     */
//    @Deprecated
//    @RequestMapping(value = "/company/detail", method = RequestMethod.GET)
//    ApiDataResult<Company> queryCompany(@RequestParam String keyWord);

//    /**
//     * 获取企业信息list
//     * @param names names
//     * @param needLegalInfo needLegalInfo
//     * @return com.winhc.common.base.ApiDataResult<java.util.List < Company>>
//     * @author xda
//     * @date 2020/12/22 15:04
//     */
//    @Deprecated
//    @RequestMapping(value = "/company/list", method = RequestMethod.GET)
//    ApiDataResult<List<ESCompany>> queryCompanyList(@RequestParam List<String> names,
//                                                  @RequestParam(required = false,defaultValue = "false") Boolean needLegalInfo);

//    /**
//     * 查询企业动态
//     * @param dto
//     * @return
//     */
//    @Deprecated
//    @PostMapping("/dynamic/list")
//    @ApiOperation("查找企业动态列表")
//    ApiDataResult<List<ESDynamic>> listDynamic(@RequestBody QueryCompanyDynamicDTO dto);

    /**
     * 企业基本信息列表
     * @param names names
     * @param needLegalInfo needLegalInfo
     * @return com.winhc.common.base.ApiDataResult<java.util.List < ESCompany>>
     * @Author: xda
     * @Date: 2020/12/18 10:38
     */
    @Deprecated
    @RequestMapping(value = "/company/list", method = RequestMethod.GET)
    ApiDataResult<List<ESCompany>> queryCompanyBasicList(@RequestParam List<String> names,
                                                         @RequestParam(required = false,defaultValue = "false") Boolean needLegalInfo);

    /**
     * 分页查询v8索引
     * @param dto
     * @param pageNum
     * @param pagSize
     * @return
     */
    @GetMapping("/dynamic/v8/page")
    ApiDataResult<VOPage<V8DynamicVO>> pageDynamic(QueryV8DynamicDTO dto,
                                                          @RequestParam(defaultValue = "1") Integer pageNum,
                                                          @RequestParam(defaultValue = "10") Integer pagSize);


    /**
     * 查找财产线索动态
     * @param dto
     * @return
     */
    @PostMapping("/dynamic/finance/v8/page")
    @ApiOperation("企业财产线索动态 分页")
    ApiDataResult<VOPage<FinanceDynamicVO>> pageFinanceDynamic(@RequestBody QueryESFinanceDynamicDTO dto);


//    @GetMapping("/dynamic/finance/{id}")
//    @ApiOperation("企业财产线索动态详情")
//    ApiDataResult<FinanceDynamicVO> pageFinanceDynamic(@PathVariable String id);


    /**
     * 企业财产线索total
     * @param dto dto
     * @return com.winhc.common.base.ApiDataResult<java.util.List < FinanceDynamicNumVO>>
     * @author xda
     * @date 2021/8/7 11:35
     */
    @Deprecated
    @PostMapping("/dynamic/finance/num")
    ApiDataResult<List<FinanceDynamicNumVO>> getFinanceDynamicNumList(@RequestBody GetFinanceDynamicNumDTO dto);

    /**
     * 财产线索数量
     * @param dto
     * @return
     */
    @PostMapping("/dynamic/finance/v8/num")
    ApiDataResult<List<FinanceDynamicNumVO>> getFinanceDynamicNumV8List(@RequestBody GetFinanceDynamicNumDTO dto);

    /**
     * 企业风险数量
     * @param dto dto
     * @return com.winhc.common.base.ApiDataResult<java.util.List < CompanyRiskNumVO>>
     * @author xda
     * @date 2021/8/7 11:38
     */
    @PostMapping("/risk/companyList")
    ApiDataResult<List<CompanyRiskNumVO>> getCompanyRiskNumList(@RequestBody GetCompanyRiskNumDTO dto);

    /**
     * companyIdList失信限高label
     * @param dto dto
     * @return com.winhc.common.base.ApiDataResult<java.util.List < CreditPunishmentLabelListVO>>
     * @author xda
     * @date 2021/8/7 14:36
     */
    @PostMapping("/credit/label")
    ApiDataResult<List<CreditPunishmentLabelListVO>> getCreditPunishmentLabelList(@RequestBody GetCreditPunishmentLabelDTO dto);

    /**
     * 查询公司name
     * @param dto dto
     * @return com.winhc.common.base.ApiDataResult<java.util.List < CompanyBasicVO>>
     * @author xda
     * @date 2021/8/7 15:19
     */
    @PostMapping("/company/basic/v8")
    ApiDataResult<List<CompanyBasicVO>> getV8CompanyListBasic(@RequestBody GetV8CompanyListDTO dto);

    /**
     * 查询企业ID v8
     * @param companyName companyName
     * @return com.winhc.common.base.ApiDataResult<java.lang.String>
     * @author xda
     * @date 2021/8/9 19:30
     */
    @PostMapping("/company/companyid")
    ApiDataResult<String> queryCompanyId(@RequestBody String companyName);

}
