package com.winhc.returnmoney.cloud;

import com.winhc.common.base.ApiDataResult;
import com.winhc.returnmoney.cloud.bean.AddDiagnoseRecordDTO;
import com.winhc.returnmoney.cloud.bean.DiagnosisRecord;
import com.winhc.returnmoney.cloud.bean.DiagnosisRecordVO;
import io.swagger.annotations.ApiOperation;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

/**
 * @author Aaron
 * @date 2020/12/14 10:19
 * @description
 */
@FeignClient("inCaseService")
//@FeignClient(value = "inCaseService",url = "106.14.81.247:58554")
public interface InCaseService {
    @PostMapping("diagnose/performance/assessment")
    @ApiOperation("进行履债评估")
    ApiDataResult<DiagnosisRecord> performanceAssessment(@Validated @RequestBody AddDiagnoseRecordDTO dto);


    /**
     * 查询评估record
     * @param diagnosisId diagnosisId
     * @return com.winhc.common.base.ApiDataResult<DiagnosisRecordVO>
     * @author xda
     * @date 2021/8/6 11:41
     */
    @GetMapping("/diagnose/{diagnosisId}")
    ApiDataResult<DiagnosisRecordVO> getRecordVO(@PathVariable("diagnosisId") Long diagnosisId);

}
