package com.winhc.returnmoney.cloud;

import com.winhc.common.base.BeanResponse;
import com.winhc.returnmoney.cloud.bean.ServiceCountDTO;
import com.winhc.returnmoney.cloud.bean.ServiceCountVO;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

/**
 * @Description: LawyerService
 * @Author: xda
 * @Date: 2021/8/10 14:54
 */
@FeignClient("winhc-lawyer-service")
//@FeignClient(value = "winhc-lawyer-service", url = "http://47.101.212.122:9595/")
public interface LawyerService {

    /**
     * 根据制定类型查询人数和头像
     * @param dto dto 
     * @return com.winhc.common.base.BeanResponse<ServiceCountVO>
     * @author xda
     * @date 2021/8/10 14:56 
     */
    @RequestMapping(value = "/lawyerService/serviceCount", method = RequestMethod.GET)
    BeanResponse<ServiceCountVO> getServiceCount(ServiceCountDTO dto);
}
