package com.winhc.returnmoney.cloud.bean;

import lombok.Data;

/**
 * @description: hbase 企业基本信息
 * @author: yujie
 * @date 2020.6.12 10:05
 */
@Data
public class Company {

    // 查询时的企业名称（cid查询时，此字段为null）
    private String queryCompanyName;
    private String id;
    // rowKey
    private String cid;
    private String base;
    private String name;
    private String nameEn;
    private String nameAlias;
    private String historyNames;
    private String legalEntityId;
    private String legalEntityType;
    private String regNumber;
    private String companyOrgType;
    private String regLocation;
    private String estiblishTime;
    private String fromTime;
    private String toTime;
    private String businessScope;
    private String regInstitute;
    private String approvedTime;
    private String regStatus;
    private String regCapital;
    private String orgNumber;
    private String orgApprovedInstitute;
    private String currentCid;
    private String parentCid;
    private String companyType;
    private String creditCode;
    private String score;
    private String categoryCode;
    private String lat;
    private String lng;
    private String areaCode;
    private String regCapitalAmount;
    private String regCapitalCurrency;
    private String actualCapitalAmount;
    private String actualCapitalCurrency;
    private String regStatusStd;
    private String socialSecurityStaffNum;
    private String cancelDate;
    private String cancelReason;
    private String revokeDate;
    private String revokeReason;
    private String emails;
    private String phones;
    private String wechatPublicNum;
    private String logo;
    private String crawledTime;
    private String createTime;
    private String updateTime;
    private String deleted;

    /*
     `id` BIGINT,
     `cid` BIGINT COMMENT '公司标识',
     `base` STRING COMMENT '归属省份的首字母小写',
     `name` STRING COMMENT '公司名称',
     `name_en` STRING COMMENT '英文名',
     `name_alias` STRING COMMENT '公司别名',
     `history_names` STRING COMMENT '公司历史名称',
     `legal_entity_id` BIGINT COMMENT '法人ID：人标识或公司标识',
     `legal_entity_type` BIGINT COMMENT '法人类型，1 人 2 公司',
     `reg_number` STRING COMMENT '注册号',
     `company_org_type` STRING COMMENT '公司类型',
     `reg_location` STRING COMMENT '注册地址',
     `estiblish_time` BIGINT COMMENT '成立日期',
     `from_time` BIGINT COMMENT '营业期限开始日期',
     `to_time` BIGINT COMMENT '营业期限终止日期',
     `business_scope` STRING COMMENT '经营范围',
     `reg_institute` STRING COMMENT '登记机关',
     `approved_time` BIGINT COMMENT '核准日期',
     `reg_status` STRING COMMENT '企业状态',
     `reg_capital` STRING COMMENT '注册资本',
     `org_number` STRING COMMENT '组织机构代码',
     `org_approved_institute` STRING COMMENT '组织机构批准单位',
     `current_cid` BIGINT COMMENT '如果该条记录为历史名称，则该字段值对应最新名称那条记录的id',
     `parent_cid` BIGINT COMMENT '上级机构ID',
     `company_type` BIGINT COMMENT '机构类型-1:公司,2:香港企业,3:社会组织,4:律所,5:事业单位,6:基金会,8:台湾企业',
     `credit_code` STRING COMMENT '统一社会信用代码',
     `score` STRING COMMENT '公司评分',
     `category_code` STRING COMMENT '行业分类',
     `lat` DOUBLE COMMENT '公司纬度',
     `lng` DOUBLE COMMENT '公司经度',
     `area_code` BIGINT COMMENT '行政区划码',
     `reg_capital_amount` BIGINT COMMENT '注册资本金额，数值类型',
     `reg_capital_currency` STRING COMMENT '注册资本币种  人民币 美元 欧元 等',
     `actual_capital_amount` BIGINT COMMENT '实收资本金额（单位：分）',
     `actual_capital_currency` STRING COMMENT '实收资本币种 人民币 美元 欧元等',
     `reg_status_std` STRING COMMENT '公司注册状态标准化',
     `social_security_staff_num` BIGINT COMMENT '职工参保人数',
     `cancel_date` BIGINT COMMENT '注销日期',
     `cancel_reason` STRING COMMENT '注销原因',
     `revoke_date` BIGINT COMMENT '吊销日期',
     `revoke_reason` STRING COMMENT '吊销原因/吊销凭证',
     `emails` STRING COMMENT '邮箱列表',
     `phones` STRING COMMENT '电话',
     `wechat_public_num` STRING COMMENT '微信公众号',
     `logo` STRING COMMENT '公司logo',
     `crawled_time` BIGINT COMMENT '解析完成时间',
     `create_time` BIGINT,
     `update_time` BIGINT,
     `deleted` BIGINT)
     */
}
