package com.winhc.returnmoney.cloud.bean;

import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;

public class DiagnosisRecord implements Serializable {
    private Long diagnosisId;

    @ApiModelProperty(value = "1可执行诊断；2能胜诉诊断")
    private Integer diagnosisType;

    @ApiModelProperty(value = "0智能风控；1人工风控")
    private Integer riskMode;

    private String creditorName;

    private String debtorName;

    private Double caseAmt;

    @ApiModelProperty(value = "ABCD")
    private String grade;

    private Integer score;

    private Date createTime;

    private Long relatedId;

    private String caseId;

    private Long userId;

    private Integer operId;

    @ApiModelProperty(value = "0诊断中；1诊断完成；9诊断失败")
    private Integer status;

    private String result;

    @ApiModelProperty(value = "评估结果关联要素JSON")
    private String resultItem;



    private static final long serialVersionUID = 1L;

    public Long getDiagnosisId() {
        return diagnosisId;
    }

    public void setDiagnosisId(Long diagnosisId) {
        this.diagnosisId = diagnosisId;
    }

    public Integer getDiagnosisType() {
        return diagnosisType;
    }

    public void setDiagnosisType(Integer diagnosisType) {
        this.diagnosisType = diagnosisType;
    }

    public Integer getRiskMode() {
        return riskMode;
    }

    public void setRiskMode(Integer riskMode) {
        this.riskMode = riskMode;
    }

    public String getCreditorName() {
        return creditorName;
    }

    public void setCreditorName(String creditorName) {
        this.creditorName = creditorName;
    }

    public String getDebtorName() {
        return debtorName;
    }

    public void setDebtorName(String debtorName) {
        this.debtorName = debtorName;
    }

    public Double getCaseAmt() {
        return caseAmt;
    }

    public void setCaseAmt(Double caseAmt) {
        this.caseAmt = caseAmt;
    }

    public String getGrade() {
        return grade;
    }

    public void setGrade(String grade) {
        this.grade = grade;
    }

    public Integer getScore() {
        return score;
    }

    public void setScore(Integer score) {
        this.score = score;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Long getRelatedId() {
        return relatedId;
    }

    public void setRelatedId(Long relatedId) {
        this.relatedId = relatedId;
    }

    public String getCaseId() {
        return caseId;
    }

    public void setCaseId(String caseId) {
        this.caseId = caseId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Integer getOperId() {
        return operId;
    }

    public void setOperId(Integer operId) {
        this.operId = operId;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getResult() {
        return result;
    }

    public void setResult(String result) {
        this.result = result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", diagnosisId=").append(diagnosisId);
        sb.append(", diagnosisType=").append(diagnosisType);
        sb.append(", riskMode=").append(riskMode);
        sb.append(", creditorName=").append(creditorName);
        sb.append(", debtorName=").append(debtorName);
        sb.append(", caseAmt=").append(caseAmt);
        sb.append(", grade=").append(grade);
        sb.append(", score=").append(score);
        sb.append(", createTime=").append(createTime);
        sb.append(", relatedId=").append(relatedId);
        sb.append(", caseId=").append(caseId);
        sb.append(", userId=").append(userId);
        sb.append(", operId=").append(operId);
        sb.append(", status=").append(status);
        sb.append(", result=").append(result);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}