package com.winhc.returnmoney.cloud.bean;

import lombok.Data;
import lombok.experimental.Accessors;

import java.util.List;

/**
 * @description: es company
 * @author: yujie
 * @date 2020.6.8 18:06
 */
@Data
@Accessors(chain = true)
public class ESCompany {

    // 对应es id
    private String id;

    /**
     *  原始cid
     */
    private String originalCid;

    // 查询名称（企业最新名称可能与查询名称不一致，保留此字段）
    private String queryName;

    // name
    private Cname cname;
    // 机构类型-1:公司,2:香港企业,3:社会组织,4:律所,5:事业单位,6:基金会,8:台湾企业
    private String companyType;
    // 注册状态
    private String regStatus;
    // 区县CODE
    private String countyCode;
    // 区县
    private String countyName;
    // 当前CID
    private String currentId;
    // 曾用名
    private List<HistoryName> historyName;
    // 成立日期
    private String estiblishTime;
    // 行业分类第二类
    private String categorySecond;
    // 行业分类第三类
    private String categoryThird;
    // 行业分类第一类
    private String categoryFirst;
    // 省份
    private String provinceName;
    // 注册资本
    private String regCapital;
    // 注册地区
    private String regLocation;
    // 联系电话
    private List<String> phones;
    // logo（补充前缀）
    private String logo;
    // 统一社会信用代码
    private String creditCode;
    // 注册资本（金额数量）
    private String regCapitalAmount;
    // 法人ID
    private String legalEntityId;
    // 市
    private String cityName;
    // 行业分类CODE
    private String categoryCode;
    // 省份CODE
    private String provinceCode;
    // 市CODE
    private String cityCode;
    // 邮箱
    private List<String> emails;
    // 法人类型，1 人 2 公司
    private String legalEntityType;

    // 法人名称（需补充查询）
    private String legalEntityName;

    @Data
    public static class Cname {
        public String show;
        public String value;
    }

    public static class HistoryName {
        public String show;
        public String value;
    }
}
