package com.winhc.returnmoney.model.dto;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.time.LocalDate;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

/**
 * @description AccountBill DTO对象
 * @author Generator
 * @date 2020-12-15
 */
@Data
@Accessors(chain = true)
@ApiModel(value="AccountBill DTO对象", description="账款表")
public class AccountBillDTO {


    @ApiModelProperty(value = "账本id")
    private Long accountBookId;

    @ApiModelProperty(value = "总应收金额")
    private BigDecimal totalReceivable;

    @ApiModelProperty(value = "当前应收金额")
    private BigDecimal receivable;

    @ApiModelProperty(value = "已收金额")
    private BigDecimal received;

    @ApiModelProperty(value = "账款状态，1进行中，2已逾期，3已收回")
    private Integer accountBillStatus;

    @ApiModelProperty(value = "账款阶段")
    private Integer accountBillStage;

    @ApiModelProperty(value = "应收账款日期")
    private LocalDate endDate;

    @ApiModelProperty(value = "账款备注")
    private String accountBillRemark;

    @ApiModelProperty(value = "账款标题")
    private String accountBillTitle;

    @ApiModelProperty(value = "账款logo")
    private String accountBillLogo;

    @ApiModelProperty(value = "账款刷新状态。1未刷新，2刷新中，3已刷新，0刷新失败")
    private Integer refreshStatus;

    @ApiModelProperty(value = "上次评估ID")
    private Long preDiagnosisId;

    @ApiModelProperty(value = "评估id")
    private Long diagnosisId;

    @ApiModelProperty(value = "上次评估等级")
    private String preDiagnosisGrade;

    @ApiModelProperty(value = "评估等级")
    private String diagnosisGrade;

    @ApiModelProperty(value = "本次评估分数")
    private BigDecimal preDiagnosisScore;

    @ApiModelProperty(value = "本次评估分数")
    private BigDecimal diagnosisScore;

    @ApiModelProperty(value = "上次评估时间")
    private LocalDateTime preDiagnosisDatetime;

    @ApiModelProperty(value = "评估时间")
    private LocalDateTime diagnosisDatetime;

    @ApiModelProperty(value = "趋势，1上升，2下降。0持平")
    private Integer diagnosisTrend;

    @ApiModelProperty(value = "")
    private String remindInfo;

    @ApiModelProperty(value = "是否删除，1删除。0否")
    private Integer deleted;

    @ApiModelProperty(value = "创建时间")
    private LocalDateTime timeCreated;

    @ApiModelProperty(value = "修改时间")
    private LocalDateTime timeModified;


}
