package com.winhc.returnmoney.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.hibernate.validator.constraints.Range;

import java.time.LocalDate;

/**
 * @Description: GetAccountBillListDTO
 * @Author: xda
 * @Date: 2020/12/16  11:27
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel("获取账款列表请求对象")
@Accessors(chain = true)
public class GetAccountBillListDTO extends PageDTO{

    @ApiModelProperty("账本id")
    private Long accountBookId;

    @ApiModelProperty(hidden = true)
    private Long userId;

    @ApiModelProperty(value = "账款状态，1进行中，2已逾期，3已收回")
    @Range(min = 1, max = 3, message = "账款状态选择错误")
    private Integer accountBillStatus;

    @ApiModelProperty(value = "评估等级A,B,C,D")
    private String diagnosisGrade;

    @ApiModelProperty("搜索关键字，付款公司name or 标签")
    private String keyword;

    @ApiModelProperty("逾期天数类型,3个月内[1], 3-6个月[2], 半年至1年[3], 1-3年[4], 3年以上[5](新增)")
    private Integer overdueDayType;

    @ApiModelProperty(hidden = true)
    private LocalDate startDate;

    @ApiModelProperty(hidden = true)
    private LocalDate endDate;

}
