package com.winhc.returnmoney.model.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDate;
import java.util.List;

/**
 * @Description: AccountBillDetailVO
 * @Author: xda
 * @Date: 2020/12/17  09:55
 */
@Data
@ApiModel("账款详情对象")
public class AccountBillDetailVO {

    @ApiModelProperty("账款详情id")
    private Long id;

    @ApiModelProperty("账本id")
    private Long accountBookId;

    @ApiModelProperty(value = "账款标题")
    private String accountBillTitle;

    @ApiModelProperty("收款人企业name")
    private String payeeName;

    @ApiModelProperty("失信限高标签list(新增)")
    private List<String> labelList;

    @ApiModelProperty(value = "账款logoList(移除)")
    @Deprecated
    private List<String> accountBillLogoList;

    @ApiModelProperty(value = "付款公司id(新增)")
    private String payerCompanyId;

    @ApiModelProperty(value = "趋势，1上升，2下降。0持平(移除)")
    @Deprecated
    private Integer diagnosisTrend;

    @ApiModelProperty(value = "本次评估等级描述(新增)")
    private String diagnosisGradeDesc;

    @ApiModelProperty(value = "分数趋势，1上升，2下降。0持平(新增)")
    private Integer diagnosisScoreTrend;

    @ApiModelProperty("变动分数(新增)")
    private String changeScore;

    @ApiModelProperty(value = "上次评估等级")
    private String preDiagnosisGrade;

    @ApiModelProperty(value = "本次评估等级")
    private String diagnosisGrade;

    @ApiModelProperty(value = "上次评估分数(移除)")
    @Deprecated
    private String preDiagnosisScore;

    @ApiModelProperty(value = "本次评估分数")
    private String diagnosisScore;

    @ApiModelProperty(value = "上次评估时间,字符串,yyyy-MM-dd")
    private LocalDate preDiagnosisDate;

    @ApiModelProperty(value = "本次评估时间,字符串,yyyy-MM-dd")
    private LocalDate diagnosisDate;

    @ApiModelProperty(value = "账款状态，1进行中，2已逾期，3已收回")
    private Integer accountBillStatus;

    @ApiModelProperty(value = "账款阶段，1未起诉，2已起诉，3已申请执行，4终结本次执行")
    private Integer accountBillStage;

    @ApiModelProperty("收回日期,字符串,格式yyyy-MM-dd")
    private LocalDate settleDate;

    @ApiModelProperty(value = "逾期天数/离收款日")
    private Integer overdueDay;

    @ApiModelProperty(value = "创建天数")
    private Integer createdDay;

    @ApiModelProperty(value = "账款备注")
    private String accountBillRemark;

    @ApiModelProperty(value = "当前应收金额,旧版本应收含义为总金额,新版本应收含义为总金额-已收")
    private BigDecimal receivable;

    @ApiModelProperty(value = "当前应收金额str,旧版本应收含义为总金额,新版本应收含义为总金额-已收")
    private String receivableStr;

    @ApiModelProperty(value = "上次调整金额(移除)")
    @Deprecated
    private BigDecimal preReceivable;

    @ApiModelProperty(value = "上次调整金额str(移除)")
    @Deprecated
    private String preReceivableStr;

    @ApiModelProperty(value = "上次调整日期,字符串,yyyy-MM-dd(移除)")
    @Deprecated
    private LocalDate preAdjustDate;

    @ApiModelProperty("提醒卡片，最多5")
    private List<AccountBillRemindVO> remindVOList;

    @ApiModelProperty("付款人列表")
    private List<AccountBillPayerVO> payerVOList;

    @ApiModelProperty("应收日期")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private LocalDate endDate;

    @ApiModelProperty("履债评估结果id")
    private Long diagnosisRecordId;

    @ApiModelProperty("增值服务")
    private List<ValueAddedServiceVO> valueAddedServiceList;

    @ApiModelProperty(value = "账款刷新状态。1未刷新，2刷新中，3已刷新，0刷新失败")
    private Integer refreshStatus;

    @ApiModelProperty(value = "风险数量(新增)")
    private Integer riskNum;

    @ApiModelProperty("财产线索(新增)")
    private Integer assetsNum;

    @ApiModelProperty("账款分析4个纬度(新增)")
    private List<String> analysisList;

    @ApiModelProperty(value = "账款总金额(新增)")
    private BigDecimal accountBillTotalMoney;

    @ApiModelProperty(value = "账款总金额(新增)")
    private String accountBillTotalMoneyStr;

    @ApiModelProperty(value = "已收回金额(新增)")
    private BigDecimal receiptMoney;

    @ApiModelProperty(value = "已收回金额(新增)")
    private String receiptMoneyStr;

    @ApiModelProperty(value = "逾期提醒vo")
    private OverdueTipsVO overdueTipsVO;



}
