package com.winhc.returnmoney.model.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.math.BigDecimal;
import java.time.LocalDate;
import java.util.List;

/**
 * @description AccountBill VO对象
 * @author Generator
 * @date 2020-12-15
 */
@Data
@Accessors(chain = true)
@ApiModel(value="AccountBill VO对象", description="账款表")
public class AccountBillListVO {

    @ApiModelProperty(value = "账款id")
    private Long id;

    @ApiModelProperty(value = "账本id")
    private Long accountBookId;

    @ApiModelProperty(value = "当前应收金额(移除)")
    @Deprecated
    private BigDecimal receivable;

    @ApiModelProperty(value = "当前应收金额(移除)")
    @Deprecated
    private String receivableStr;

    @ApiModelProperty(value = "账款总金额(新增)")
    private BigDecimal accountBillTotalMoney;

    @ApiModelProperty(value = "账款总金额(新增)")
    private String accountBillTotalMoneyStr;

    @ApiModelProperty(value = "已收回金额(新增)")
    private BigDecimal receiptMoney;

    @ApiModelProperty(value = "已收回金额(新增)")
    private String receiptMoneyStr;

    @ApiModelProperty(value = "账款状态，1进行中，2已逾期，3已收回")
    private Integer accountBillStatus;

    @ApiModelProperty(value = "账款阶段")
    private Integer accountBillStage;

    @ApiModelProperty(value = "逾期天数/离收款日")
    private Integer overdueDay;

    @ApiModelProperty(value = "账款备注")
    private String accountBillRemark;

    @ApiModelProperty(value = "账款标题")
    private String accountBillTitle;

    @ApiModelProperty(value = "付款公司companyId(新增)")
    private String payerCompanyId;

    @ApiModelProperty(value = "账款logoList(移除)")
    @Deprecated
    private List<String> accountBillLogoList;

    @ApiModelProperty(value = "账款刷新状态。1未刷新，2刷新中，3已刷新，0刷新失败")
    private Integer refreshStatus;

    @ApiModelProperty(value = "本次评估等级")
    private String diagnosisGrade;

    @ApiModelProperty(value = "本次评估等级描述(新增)")
    private String diagnosisGradeDesc;

    @ApiModelProperty(value = "等级趋势，1上升，2下降。0持平(移除)")
    @Deprecated
    private Integer diagnosisTrend;

    @ApiModelProperty(value = "本次评估分数趋势，1上升，2下降。0持平(新增)")
    private Integer diagnosisScoreTrend;

    @ApiModelProperty(value = "本次评估分数(新增)")
    private String diagnosisScore;

    @ApiModelProperty("提醒id")
    private Long remindHistoryId;

    @ApiModelProperty("提醒标题")
    private String remindTitle;

    @ApiModelProperty("提醒类型,枚举(中文)：逾期提醒、账款评级、财产线索、风险预警")
    private String remindType;

    @ApiModelProperty("提醒日期,字符串,格式yyyy-MM-dd(移除)")
    private LocalDate remindDate;

    @ApiModelProperty("动态时间,字符串,MM-dd or HH:mm(新增)")
    private String remindTimeStr;

    @ApiModelProperty("本次评估时间,string(新增)")
    private String diagnosisDatetime;

    @ApiModelProperty("上次次评估时间,string(新增)")
    private String preDiagnosisDatetime;

    @ApiModelProperty("上次评估分数(新增)")
    private String preDiagnosisScore;

    @ApiModelProperty(value = "上次评估等级(新增)")
    private String preDiagnosisGrade;

    @ApiModelProperty("动态countList(新增)")
    private List<Integer> dynamicCountList;


    @ApiModelProperty("提醒描述(新增)")
    private String remindContent;

    @ApiModelProperty("收回日期,字符串,格式yyyy-MM-dd")
    private LocalDate settleDate;

    @ApiModelProperty("应收日期")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private LocalDate endDate;


}
