package com.winhc.returnmoney.model.vo;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

/**
 * @description AccountBillMoneyRecord VO对象
 * @author Generator
 * @date 2020-12-15
 */
@Data
@Accessors(chain = true)
@ApiModel(value="AccountBillMoneyRecord VO对象", description="账款金额变动记录")
public class AccountBillMoneyRecordVO {

    @ApiModelProperty(value = "")
    private Long id;

    @ApiModelProperty(value = "账本id")
    private Long accountBookId;

    @ApiModelProperty(value = "账款id")
    private Long accountBillId;

    @ApiModelProperty(value = "变更类型，1增加，2减少")
    private Integer changeType;

    @ApiModelProperty(value = "变更金额")
    private BigDecimal changeMoney;

    @ApiModelProperty(value = "改变前金额")
    private BigDecimal preMoney;

    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime timeCreated;

    @ApiModelProperty(value = "修改时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime timeModified;

    @ApiModelProperty(value = "是否删除，1删除。0否")
    private Integer deleted;


}
