package com.winhc.returnmoney.model.vo;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

/**
 * @description AccountBillPayer VO对象
 * @author Generator
 * @date 2020-12-15
 */
@Data
@Accessors(chain = true)
@ApiModel(value="AccountBillPayer VO对象", description="账款付款人明细表")
public class AccountBillPayerVO {

    @ApiModelProperty(value = "")
    private Long id;

    @ApiModelProperty(value = "账款id")
    private Long accountBillId;

    @ApiModelProperty(value = "付款公司名称")
    private String payerName;

    @ApiModelProperty(value = "付款公司CID(移除)")
    @Deprecated
    private String payerCid;

    @ApiModelProperty(value = "付款公司companyId(新增)")
    private String payerCompanyId;

    @ApiModelProperty(value = "付款公司LOGO(移除)")
    @Deprecated
    private String payerLogo;

    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime timeCreated;

    @ApiModelProperty(value = "风险数量(新增)")
    private Integer riskNum;

    @ApiModelProperty("财产线索(新增)")
    private Integer assetsNum;

    @ApiModelProperty("失信限高标签list(新增)")
    private List<String> labelList;


}
