package com.winhc.returnmoney.model.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * @Description: AccountBillRemindVO
 * @Author: xda
 * @Date: 2020/12/17  10:17
 */
@Data
@ApiModel("账款详情提醒vo")
public class AccountBillRemindVO {

    private Long id;

    @ApiModelProperty(value = "账本ID")
    private Long accountBookId;

    @ApiModelProperty(value = "账单主键")
    private Long accountBillId;

    @ApiModelProperty(value = "动态主键")
    private String trendId;

    @ApiModelProperty(value = "动态内容")
    private String trendContent;

    @ApiModelProperty(value = "提醒时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm")
    private LocalDateTime remindTime;

    @ApiModelProperty(value = "公司名称")
    private String companyName;

    @ApiModelProperty(value = "提醒标题")
    private String remindTitle;

    @ApiModelProperty(value = "提醒文案")
    private String remindContent;

    @ApiModelProperty(value = "功能列表,json数组,格式为[{\"text\":\"功能描述\",\"type\":[\"功能类型1\",\"功能类型2\",\"功能类型3\"]}]  " +
            " 功能类型枚举暂时有:cuikuanhan(催款函)、anjianzhenduan(案件诊断)、leianjiansuo(类案检索)、susongtouzi(诉讼投资)、soulvshi(搜律师)、" +
            "zhaocaichan(找财产)、zhaozhaiquan(找债权)、chabeizhixingren(查被执行人)")
    private String functionList;

    @ApiModelProperty(value = "提醒类型,枚举(中文)：逾期提醒、评级提醒、财产线索、风险提醒")
    private String remindType;
}
