package com.winhc.returnmoney.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.math.BigDecimal;

/**
 * @description AccountBook VO对象
 * @author Generator
 * @date 2020-12-15
 */
@Data
@ApiModel("账本对象")
@Accessors(chain = true)
public class AccountBookDetailVO {

    @ApiModelProperty(value = "账本id")
    private Long id;

    @ApiModelProperty(value = "收款公司名称")
    private String payeeName;

    @ApiModelProperty(value = "收款公司LOGO")
    private String payeeLogo;

    @ApiModelProperty(value = "收款公司CID")
    private String payeeCid;

    @ApiModelProperty(value = "账本刷新状态。1未刷新，2刷新中，3已刷新，0刷新失败")
    private Integer refreshStatus;

    @ApiModelProperty(value = "用户id")
    private Long userId;

    @ApiModelProperty(value = "总当前应收(移除)")
    @Deprecated
    private BigDecimal totalMoney;

    @ApiModelProperty(value = "总当前应收(移除)")
    @Deprecated
    private String totalMoneyStr;

    @ApiModelProperty(value = "总当前应收(新增)")
    private BigDecimal totalReceivableMoney;

    @ApiModelProperty(value = "总当前应收(新增)")
    private String totalReceivableMoneyStr;

    @ApiModelProperty(value = "已收回金额(新增)")
    private BigDecimal receiptMoney;

    @ApiModelProperty(value = "已收回金额(新增)")
    private String receiptMoneyStr;

    @ApiModelProperty(value = "账款总金额(新增)")
    private BigDecimal accountBillTotalMoney;

    @ApiModelProperty(value = "账款总金额(新增)")
    private String accountBillTotalMoneyStr;

    @ApiModelProperty(value = "总笔数(移除)")
    private Integer totalCount;

    @ApiModelProperty(value = "应收笔数(新增)")
    private Integer receivableCount;

    @ApiModelProperty(value = "逾期笔数")
    private Integer overdueCount;

}
