package com.winhc.returnmoney.model.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.util.List;

/**
 * @Description: DiagnosisSectionVO
 * @Author: xda
 * @Date: 2020/12/22  17:35
 */
@Data
@ApiModel("评分区间")
public class DiagnosisSectionVO {

    @ApiModelProperty("履债评估结果id")
    private Long diagnosisRecordId;

    @ApiModelProperty(value = "当前评估等级(逾期提醒、账款评级)")
    private String diagnosisGrade;

    @ApiModelProperty(value = "当前评估分值(逾期提醒、账款评级)")
    private BigDecimal diagnosisScore;

    @ApiModelProperty(value = "当前评估分时间(逾期提醒、账款评级)")
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    private LocalDateTime diagnosisDatetime;

    @ApiModelProperty(value = "上次评估等级(账款评级,注意如果是第一次评估这边为空)")
    private String preDiagnosisGrade;

    @ApiModelProperty(value = "上次评估分值(账款评级,注意如果是第一次评估这边为空)")
    private BigDecimal preDiagnosisScore;

    @ApiModelProperty(value = "上次评估分时间(账款评级,注意如果是第一次评估这边为空)")
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    private LocalDateTime preDiagnosisDatetime;


    private List<DiagnosisDynamicVO> esDynamics;

    @ApiModelProperty("是否默认提示语，默认提示语不可点击")
    private Boolean defaultTips;
}
